Visual Studio versions by OA version

Find and share HowTos to various installations / configurations!
Search

Post Reply
3 posts • Page 1 of 1
iain
Posts: 20
Joined: Fri May 19, 2017 5:08 pm

Visual Studio versions by OA version

Post by iain » Thu Aug 15, 2019 6:00 pm

1. What version of Visual Studio is required to support WinCC OA versions 3.14, 3.15 and 3.16 (for control extension development)?

2. Is this a minimum version, (e.g. it's okay to use VS 2017 if the requirement is VS 2013), or must the version match to be supported?

I found a note that 3.15 requires VS 2013, but the language is a little ambiguous, and I don't know if it means VS 2013 or later.

I've always had problems with VS 2013 only recognizing my license for a short period, and recently it's failing to authenticate at all. I'm thinking I may be best to see if I can buy a full version of VS 2013 that doesn't use my MSDN license, but it's hard to find these days. And VS 2017 runs great for me, so if I could switch to 2017 I'd be very happy.

User avatar
leoknipp
Posts: 2020
Joined: Tue Aug 24, 2010 5:28 pm

Re: Visual Studio versions by OA version

Post by leoknipp » Fri Aug 16, 2019 6:34 am

Which Visual Studio versions is required for a specific WinCC OA version is described in the WinCC OA Documentation.
As far as I know you always have to use the exact version if you want to implement your own C++ code for WinCC OA.

Best Regards
Leopold Knipp
Senior Support Specialist

gschijndel
Posts: 103
Joined: Tue Jan 15, 2019 2:12 pm

Re: Visual Studio versions by OA version

Post by gschijndel » Fri Aug 16, 2019 10:47 am

3.14 & 3.15 requires VS 2013 (VC12)
3.16 requires VS 2015 (VC14)

To avoid missing dependencies (and installing extra redistributables) it is easier to use the required compiler, perhaps you could use the required compiler with VS 2017.

Post Reply
3 posts • Page 1 of 1